Skip to content

获取 MySQL 服务器上所有数据库列表(SHOW DATABASES)

获取指定 MySQL 服务器上的所有数据库列表。

POST
https://your-panel.example.com:8888/database
更新于 查看 Markdown

Request bodyX-WWW-FORM-URLENCODEDrequired

  • request_timestringrequired

    Unix 时间戳。

  • request_tokenstringrequired

    按 API 概览生成的签名。

  • actionGetDatabaseListrequired

    具体操作名称。

  • idintegerrequired

    数据库服务器 ID,0 = 本地 MySQL

Returns

default

接口响应,业务状态见下方详细说明。

各操作详细说明

GetDatabaseListaction=GetDatabaseList获取 MySQL 服务器上所有数据库列表(SHOW DATABASES)

获取指定 MySQL 服务器上的所有数据库列表。

  • 路由:POST /database
  • action:GetDatabaseList
  • 返回类型:Array(二维数组)

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 GetDatabaseList
id 是 Integer 数据库服务器 ID,0 = 本地 MySQL

输出参数

返回二维数组,每项为 [数据库名]。

示例

请求

POST /database HTTP/1.1
Content-Type: application/x-www-form-urlencoded

request_time=1700000000&request_token=xxx&action=GetDatabaseList&id=0

响应

[["information_schema"], ["bt_api_test"], ["mysql"], ["performance_schema"], ["sys"]]
Navigation

Type to search…

↑↓ navigate↵ selectEsc close